clear @a[tag=respawning]
tag @a[team=Players] remove respawning
effect give @a speed 5 0 true
spawnpoint @a 78 76 -24
#spawnpoint @a 96 82 -24
tp @a[x=66,y=115,z=-24,distance=..1] ~ ~-3 ~
gamemode adventure @a[team=Players]
gamemode spectator @a[team=Spectators]

execute as @a[scores={gunt=8}] at @s run playsound minecraft:block.beacon.activate master @s ~ ~ ~ 0.4 2 0.4
stopsound @a[scores={gunt=1}] * minecraft:block.beacon.activate
execute at @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick"}},scores={COAS=1..,gunt=20..}] run summon armor_stand ~ ~ ~ {NoGravity:1b,Marker:1b,Tags:["ray"],Invisible:1}
scoreboard players add @e[type=armor_stand,tag=ray] pt 1
execute at @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick"}},scores={COAS=1..,gunt=20..},limit=1] run tp @e[type=armor_stand,tag=ray,distance=..1,scores={pt=1}] ~ ~1.6 ~ ~ ~
scoreboard players set @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick"}},scores={COAS=1..,gunt=20..}] gunt 0
scoreboard players add @a gunt 1
scoreboard players set @a COAS 0
execute as @e[type=armor_stand,tag=ray,scores={pt=1}] at @s run playsound minecraft:block.beacon.deactivate master @a ~ ~ ~ 1 2 0
execute as @e[type=armor_stand,tag=ray,scores={pt=1}] at @s run function susu:raytracing

kill @e[tag=raydead]
kill @e[type=armor_stand,scores={pt=10..}]

execute as @a store result score @s MotionY run data get entity @s Motion[1]

execute at @a[nbt={Inventory:[{Slot:100b,tag:{Propelling:1}}]},scores={boott=0..,MotionY=0..}] run particle minecraft:dripping_lava ~ ~ ~ 0 0 0 1 1 force
execute at @a[nbt={Inventory:[{Slot:100b,tag:{Propelling:1}}]},scores={sneak=1..,boott=-1},nbt={OnGround:0b}] if block ~ ~-.5 ~ air run particle minecraft:lava ~ ~.3 ~ 0 0 0 .3 10 force
execute at @a[nbt={Inventory:[{Slot:100b,tag:{Propelling:1}}]},scores={sneak=1..,boott=-1},nbt={OnGround:0b}] if block ~ ~-.5 ~ air run playsound minecraft:entity.wither.shoot master @a ~ ~ ~ 0.6 2 0
execute as @a[nbt={Inventory:[{Slot:100b,tag:{Propelling:1}}]},scores={sneak=1..,boott=-1},nbt={OnGround:0b}] at @s if block ~ ~-.5 ~ air run scoreboard players set @s boott 2
effect give @a[scores={boott=1..}] levitation 1 100 true
effect clear @a[scores={boott=..0},tag=!levitation,tag=!levitation2,tag=!levitation3] levitation
scoreboard players remove @a[scores={boott=1..}] boott 1 
execute as @a at @s unless block ~ ~-.1 ~ air run scoreboard players set @s boott -1
scoreboard players set @a sneak 0

execute at @e[type=skeleton,tag=sniper] positioned ~ ~1 ~ if entity @e[type=arrow,distance=..2.5] run summon armor_stand ~ ~ ~ {NoGravity:1b,Marker:1b,Tags:["ray2"],Invisible:1}
scoreboard players add @e[type=armor_stand,tag=ray2] pt 1
execute as @e[type=skeleton,tag=sniper] at @s positioned ~ ~1 ~ if entity @e[type=arrow,distance=..2.5] positioned ~ ~-1 ~ run tp @e[type=armor_stand,tag=ray2,distance=..1,scores={pt=1}] ~ ~1.3 ~ ~ ~
execute at @e[type=skeleton,tag=sniper] positioned ~ ~1 ~ run kill @e[type=arrow,distance=..4]

execute as @e[type=armor_stand,tag=ray2,scores={pt=1}] at @s run function susu:raytracing2

execute at @e[tag=hojo] run particle nautilus ~ ~ ~ .5 .5 .5 1 1 force
execute at @e[tag=hojo] positioned as @e[type=vex,distance=..3,limit=1] run tp @e[type=vex,distance=..3,limit=1] ~ ~ ~ facing ^ ^ ^1
execute as @e[tag=hojo] at @s unless entity @e[type=vex,distance=..3] run kill @s

execute as @e[tag=switch] at @s if entity @a[distance=..6] run data merge entity @s {HandItems:[{id:"minecraft:stick",Count:1b,tag:{Enchantments:[{id:"minecraft:sharpness",lvl:8},{id:"minecraft:knockback",lvl:2}]}},{}]}
execute as @e[tag=switch] at @s unless entity @a[distance=..6] run data merge entity @s {HandItems:[{id:"minecraft:bow",Count:1b,tag:{Unbreakable:1b,Damage:380,Enchantments:[{id:"minecraft:sharpness",lvl:5},{id:"minecraft:knockback",lvl:2}]}},{}]}

execute at @e[tag=propelled] run particle dripping_lava ~ ~.1 ~ .3 0 .3 0 1 force
effect give @e[tag=propelled] jump_boost 5 5 true

tag @a remove levitation
execute at @e[tag=fan] positioned ~-5 ~ ~-5 run tellraw @a[dx=10,dy=20,dz=10,tag=!hasseenfan,tag=elytra] {"text":"The current generated by the fan closed your glider!","color":"green"}
execute at @e[tag=fan] positioned ~-5 ~ ~-5 run advancement grant @a[dx=10,dy=20,dz=10,tag=!hasseenfan,tag=elytra] only susu:eoot
execute at @e[tag=fan] positioned ~-5 ~ ~-5 run tag @a[dx=10,dy=20,dz=10,tag=elytra] add hasseenfan
execute at @e[tag=fan] positioned ~-5 ~ ~-5 run tag @a[dx=10,dy=20,dz=10] add levitation
effect give @a[tag=levitation] levitation 1 50 true
execute as @a[tag=levitation] at @s run playsound minecraft:entity.player.breath master @s ~ ~ ~ 0.5 0.5 0.5
execute at @e[tag=fan] run particle minecraft:poof ~ ~14 ~ 3 10 3 0 1 force
tag @a[nbt={Inventory:[{Slot:102b,id:"minecraft:elytra"}]}] add elytra
clear @a[tag=levitation,tag=elytra] elytra
replaceitem entity @a[tag=!levitation,tag=!levitation2,tag=elytra] armor.chest elytra

execute if entity @a[nbt={Inventory:[{tag:{O1:1}}]}] unless entity @a[tag=O1] run worldborder set 3750 0
execute if entity @a[nbt={Inventory:[{tag:{O1:1}}]}] unless entity @a[tag=O1] run worldborder set 3160 110
execute if entity @a[nbt={Inventory:[{tag:{O1:1}}]}] unless entity @a[tag=O1] as @a at @s run tp @s ~ ~ ~ -90 0
execute if entity @a[nbt={Inventory:[{tag:{O1:1}}]}] unless entity @a[tag=O1] as @a at @s run scoreboard players set @a[team=Players] animt 20
execute if entity @a[nbt={Inventory:[{tag:{O1:1}}]}] unless entity @a[tag=O1] run setblock 172 86 -24 stone
execute if entity @a[nbt={Inventory:[{tag:{O1:1}}]}] unless entity @a[tag=O1] run setblock 172 86 -24 minecraft:lime_shulker_box[facing=up]
execute as @a[nbt={Inventory:[{tag:{O1:1}}]}] unless entity @a[tag=O1] as @a at @s run playsound minecraft:block.beacon.ambient master @s ~ ~ ~ 1 1 1
execute if entity @a[nbt={Inventory:[{tag:{O1:1}}]}] unless entity @a[tag=O1] run tag @a add O1

execute as @a[scores={animt=1..}] at @s run tp @s ~ ~ ~ ~-9 ~-1.5
execute as @a[scores={animt=1},nbt={Inventory:[{tag:{O1:1}}]}] run say Oh no... Better get these three keys to the main gate fast!
execute if entity @a[scores={animt=1},nbt={Inventory:[{tag:{O1:1}}]}] as @a at @s run playsound minecraft:entity.experience_orb.pickup master @s ~ ~ ~ 1 2 1
scoreboard players remove @a[scores={animt=1..}] animt 1

worldborder warning distance 50
execute if entity @a[scores={animt=1..}] run worldborder warning distance 1000

execute if entity @a[nbt={Inventory:[{tag:{O2:1}}]}] unless entity @a[tag=O2] run worldborder set 3160 0
execute if entity @a[nbt={Inventory:[{tag:{O2:1}}]}] unless entity @a[tag=O2] run worldborder set 2350 165
execute if entity @a[nbt={Inventory:[{tag:{O2:1}}]}] unless entity @a[tag=O2] run tag @a add O2

execute if entity @a[nbt={Inventory:[{tag:{O3:1}}]}] unless entity @a[tag=O3] run worldborder set 2350 0
execute if entity @a[nbt={Inventory:[{tag:{O3:1}}]}] unless entity @a[tag=O3] run worldborder set 800 165
execute if entity @a[nbt={Inventory:[{tag:{O3:1}}]}] unless entity @a[tag=O3] run tag @a add O3

tag @a remove levitation2
tag @a[scores={levitationt=1..}] add levitation2
effect give @a[tag=levitation2] levitation 1 50 true
scoreboard players remove @a levitationt 1

tag @a remove levitation3
tag @a[scores={levitationt1=1..20}] add levitation3
effect give @a[tag=levitation3] levitation 1 11 true
scoreboard players remove @a levitationt1 1

execute at @a[scores={levitationt1=20}] run playsound minecraft:block.beacon.activate block @a ~ ~ ~ 1 1.5 0

execute as @a at @s if block ~ ~ ~ heavy_weighted_pressure_plate run effect give @s jump_boost 3 8 false

execute positioned 341 57 -24 run effect give @a[dx=0,dy=14,dz=0] speed 2 4
execute positioned 341.5 64 -23.5 run particle end_rod ~ ~ ~ 0.2 7 0.2 0 2 force
execute positioned 451 69 -12 run effect give @a[dx=0,dy=5,dz=0] speed 12 2
execute positioned 451.5 71 -11.5 run particle end_rod ~ ~ ~ 0.2 2 0.2 0 2 force
execute positioned 451 69 -36 run effect give @a[dx=0,dy=5,dz=0] speed 12 2
execute positioned 451.5 71 -35.5 run particle end_rod ~ ~ ~ 0.2 2 0.2 0 2 force
execute positioned 1615 81 -24 run effect give @a[dx=0,dy=5,dz=0] speed 4 2
execute positioned 1615.5 81 -23.5 run particle end_rod ~ ~ ~ 0.2 2 0.2 0 2 force

execute as @a[gamemode=adventure] at @s if block ~ ~-2 ~ minecraft:red_sandstone run kill @s

execute if block 1611 80 -26 minecraft:player_head{Owner:{Id:"028c59eb-fd0d-454d-b140-249a24942fdd",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZTllNGJkY2YxNzJkNWRjNzdjMmJkNGUzN2FkOTg1Mzk5YTlmMmNkZWJmNzI0NjM5MjllYTRiNjY2ZWY2ZjgwIn19fQ=="}]}}} if block 1611 80 -24 minecraft:player_head{Owner:{Id:"5a924391-b603-48c1-9974-0a8a84c2074e",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTQzYzc5Y2Q5YzJkMzE4N2VhMDMyNDVmZTIxMjhlMGQyYWJiZTc5NDUyMTRiYzU4MzRkZmE0MDNjMTM0ZTI3In19fQ=="}]}}} if block 1611 80 -22 minecraft:player_head{Owner:{Id:"01912079-becd-4cf8-b17f-67e317b16b25",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzQ3MjM3NDM3ZWVmNjM5NDQxYjkyYjIxN2VmZGM4YTcyNTE0YTk1NjdjNmI2YjgxYjU1M2Y0ZWY0YWQxY2FlIn19fQ=="}]}}} run setblock 1731 79 -32 minecraft:redstone_block

execute as @a[scores={disconnect=1..}] run function susu:playerreset
execute as @a[tag=!o] run function susu:playerreset
tag @a add o

tag @a[scores={death=1..}] add respawning
scoreboard players set @a death 0

effect clear @a[tag=spawn,nbt={DeathTime:0s},gamemode=!spectator]
tp @a[tag=spawn,nbt={DeathTime:0s},gamemode=!spectator] 96.5 75.0 -23.5 -90 20
execute if entity @a[tag=spawn,nbt={DeathTime:0s},gamemode=!spectator] run particle minecraft:squid_ink 96.5 76.7 -23.5 0.4 0.4 0.4 0 100
team join Players @a[tag=spawn,gamemode=!spectator]
execute as @a[tag=spawn,nbt={DeathTime:0s},gamemode=!spectator] at @s run playsound minecraft:block.fire.extinguish master @s
tag @a[x=96,y=82,z=-24,distance=..2,nbt={DeathTime:0s},nbt=!{Inventory:[{id:"minecraft:chainmail_chestplate"}]},gamemode=!spectator] add items
clear @a[tag=items]
execute as @a[nbt=!{Inventory:[{id:"minecraft:carrot_on_a_stick"}]},x=96,y=76,z=-24,distance=4..,gamemode=adventure,team=Players,nbt={DeathTime:0s},tag=!respawning] run replaceitem entity @s hotbar.0 minecraft:carrot_on_a_stick{display:{Name:"{\"text\":\"Susile Gunblade Mk.27\",\"color\":\"dark_green\",\"italic\":\"false\",\"underlined\":\"true\"}",Lore:["§7When in main hand:","§2 1.5 Attack Speed","§2 14 Attack Damage","§2 1s Shot Speed","§2 12 Shot Damage"]},HideFlags:14,Unbreakable:1b,CanDestroy:["minecraft:white_stained_glass","minecraft:light_gray_stained_glass","minecraft:black_stained_glass","minecraft:player_head","minecraft:player_wall_head"],AttributeModifiers:[{AttributeName:"generic.attackDamage",Name:"generic.attackDamage",Amount:14,Operation:0,UUIDLeast:383882,UUIDMost:754494,Slot:"mainhand"},{AttributeName:"generic.attackSpeed",Name:"generic.attackSpeed",Amount:-2.5,Operation:0,UUIDLeast:860016,UUIDMost:488805,Slot:"mainhand"}]}
execute as @a[tag=items] at @s run replaceitem entity @s armor.chest minecraft:chainmail_chestplate{display:{Name:"{\"text\":\"Bulletproof Chestplate\",\"color\":\"gold\",\"italic\":\"false\"}"},Enchantments:[{lvl:3,id:"minecraft:protection"},{lvl:3,id:"minecraft:blast_protection"},{lvl:3,id:"minecraft:projectile_protection"}],Damage:0}
execute as @a[tag=items] at @s run replaceitem entity @s armor.legs minecraft:chainmail_leggings{display:{Name:"{\"text\":\"Protective Leggings\",\"color\":\"red\",\"italic\":\"false\"}"},Enchantments:[{lvl:3,id:"minecraft:protection"},{lvl:5,id:"minecraft:feather_falling"}],Damage:0}
execute as @a[tag=items] at @s run replaceitem entity @s hotbar.8 minecraft:end_rod{CanPlaceOn:["minecraft:cyan_terracotta","minecraft:light_blue_concrete","minecraft:gray_concrete","minecraft:spawner","minecraft:light_blue_wool","minecraft:lime_concrete","minecraft:yellow_concrete","minecraft:red_concrete","minecraft:purple_concrete","minecraft:cyan_concrete","minecraft:green_concrete","minecraft:orange_concrete","minecraft:dark_oak_log","minecraft:dark_oak_slab","minecraft:dark_oak_stairs","minecraft:oak_slab","minecraft:oak_stairs","minecraft:light_blue_stained_glass","minecraft:light_blue_stained_glass_pane","minecraft:sea_lantern","minecraft:oak_fence","minecraft:dark_oak_fence","minecraft:end_rod","minecraft:light_blue_terracotta","minecraft:yellow_stained_glass","minecraft:yellow_stained_glass_pane","minecraft:polished_andesite","minecraft:cauldron","minecraft:light_blue_shulker_box","minecraft:gray_stained_glass","minecraft:cyan_stained_glass","minecraft:iron_trapdoor","minecraft:quartz_stairs","minecraft:netherrack"],HideFlags:16} 64
execute as @a[tag=items] at @s run replaceitem entity @s hotbar.1 minecraft:baked_potato 16
tag @a remove items
tag @a[nbt={DeathTime:0s}] remove spawn

#gamemode spectator @a[scores={death=1..}]
#execute if score variable ingame matches 1 if entity @a[team=Players] unless entity @a[team=Players,scores={death=0}] run scoreboard players set variable ingame 100
#team join Spectators @a[scores={death=1..}]
execute as @a[team=!Spectators] at @s if block ~ ~-1 ~ black_wool run tag @s remove respawning
execute as @a[team=!Spectators] at @s if block ~ ~-1 ~ black_wool run gamemode spectator @s
execute as @a[team=!Spectators] at @s if block ~ ~-1 ~ black_wool run team join Spectators @s
execute as @a at @s if block ~ ~-1 ~ black_wool run tp @s @r[team=Players]

clear @a[team=Spectators]
execute if score variable ingame matches 1 unless entity @a[team=Players] run function susu:reset

execute unless entity @a[tag=lever1] run particle dust 0.071 0.133 1.000 1 1388.4 118.1 -29 .1 .1 .1 .4 2 normal
execute unless entity @a[tag=lever2] run particle dust 0.816 0.078 1.000 1 1500.4 124.1 -39 .1 .1 .1 .4 2 normal

execute if block 1388 118 -29 minecraft:lever[powered=true] unless entity @a[tag=lever1] run playsound minecraft:block.anvil.land master @a 1388 118 -28 1 1 1
execute if block 1388 118 -29 minecraft:lever[powered=true] run tag @a add lever1
tag @e[type=armor_stand,tag=lever1] remove fan
execute if entity @a[tag=lever1] run tag @e[type=armor_stand,tag=lever1] add fan

execute if block 1500 124 -39 minecraft:lever[powered=true] unless entity @a[tag=lever2] run playsound minecraft:block.anvil.land master @a 1388 118 -28 1 1 1
execute if block 1500 124 -39 minecraft:lever[powered=true] run tag @a add lever2
tag @e[type=armor_stand,tag=lever2] remove fan
execute if entity @a[tag=lever2] run tag @e[type=armor_stand,tag=lever2] add fan

effect clear @a invisibility
effect give @a[x=95,z=-25,y=67,dx=2,dz=2,dy=14] invisibility 1 1 true

execute as @a[x=96,y=74,z=-24,distance=..3,scores={levitationt1=..0},gamemode=!spectator,tag=!respawning] unless entity @a[scores={levitationt1=1..}] run function susu:elevator
execute if entity @a[scores={levitationt1=1..}] run tag @a[x=96,y=74,z=-24,distance=..3,scores={levitationt1=..0}] add lvt
tp @a[tag=lvt] @r[scores={levitationt1=1..}]
scoreboard players operation @a[tag=lvt] levitationt1 = @r[scores={levitationt1=1..}] levitationt1
tag @a remove lvt

execute if entity @a[x=146,dx=2000,y=0,dy=255,z=-100,dz=200,team=Players] unless score variable ingame matches 1 run playsound minecraft:block.stone_pressure_plate.click_on master @a ~ ~ ~ 1 0.5 1
execute if entity @a[x=146,dx=2000,y=0,dy=255,z=-100,dz=200,team=Players] unless score variable ingame matches 1 run scoreboard players add + Attempts 1
execute if entity @a[x=146,dx=2000,y=0,dy=255,z=-100,dz=200,team=Players] unless score variable ingame matches 1 run scoreboard objectives setdisplay sidebar Attempts
execute if entity @a[x=146,dx=2000,y=0,dy=255,z=-100,dz=200,team=Players] unless score variable ingame matches 1 as @r[x=146,dx=2000,y=0,dy=255,z=-100,dz=200,team=Players] run say I think I've just heard something...
execute if entity @a[x=146,dx=2000,y=0,dy=255,z=-100,dz=200,team=Players] unless score variable ingame matches 1.. run scoreboard players set variable ingame 1

setblock 1611 79 -26 minecraft:white_stained_glass
setblock 1611 79 -24 minecraft:light_gray_stained_glass
setblock 1611 79 -22 minecraft:black_stained_glass

data merge block 596 119 -24 {Items:[{Slot:13b,id:"minecraft:iron_boots",Count:1b,tag:{Unbreakable:1b,HideFlags:1,display:{Lore:["§7Equipped with fancy rocket propellers.","§7Press sneak in mid-air to boost yourself upwards."],Name:"{\"italic\":false,\"underlined\":true,\"color\":\"gold\",\"text\":\"Rocket Boots\"}"},Enchantments:[{lvl:255s,id:"minecraft:feather_falling"}],Propelling:1,Damage:0}}],Lock:""}
data merge block 875 114 -24 {Items:[{Slot:13b,id:"minecraft:elytra",Count:1b,tag:{display:{Name:"{\"text\":\"Glider\",\"color\":\"dark_purple\",\"italic\":\"false\",\"underlined\":\"true\"}"},Damage:0}}],Lock:""}

kill @e[type=item,nbt=!{Item:{id:"minecraft:light_blue_terracotta"}},nbt=!{Item:{id:"minecraft:diamond_helmet"}},nbt=!{Item:{id:"minecraft:music_disc_cat"}},nbt=!{Item:{id:"minecraft:totem_of_undying"}},nbt=!{Item:{id:"minecraft:splash_potion"}},nbt=!{Item:{id:"minecraft:music_disc_blocks"}},nbt=!{Item:{id:"minecraft:firework_rocket"}},nbt=!{Item:{id:"minecraft:diamond_leggings"}},nbt=!{Item:{id:"minecraft:music_disc_mellohi"}},nbt=!{Item:{id:"minecraft:player_head"}}]

execute if score variable ingame matches 2.. run scoreboard players remove variable ingame 1

effect give @a[x=144,dx=-100,y=0,dy=255,z=-100,dz=200] saturation 1 2 true

execute as @a[y=0,dy=255,x=0,dx=2000,z=-63,dz=-100,gamemode=spectator] at @s run tp @s ~ ~ -62
execute as @a[y=0,dy=255,x=0,dx=2000,z=15,dz=100,gamemode=spectator] at @s run tp @s ~ ~ 14
execute as @a[x=1642,dx=1000,y=0,dy=255,z=-200,dz=400,gamemode=spectator] at @s run tp @s 1641 ~ ~
execute as @a[x=76,dx=-100,y=0,dy=255,z=-200,dz=400,gamemode=spectator] at @s run tp @s 77 ~ ~
execute as @a[x=0,dx=2000,y=0,dy=-100,z=-200,dz=400,gamemode=spectator] at @s run tp @s ~ 1 ~
execute as @a[x=0,dx=2000,y=255,dy=100,z=-200,dz=400,gamemode=spectator] at @s run tp @s ~ 253 ~

execute store result score wb distance run worldborder get
scoreboard players operation wb distance /= 2 distance
scoreboard players operation wb distance -= 2000 distance
execute as @e[type=item,nbt={Item:{id:"minecraft:player_head"}}] store result score @s distance run data get entity @s Pos[0]
scoreboard players operation @e[type=item,nbt={Item:{id:"minecraft:player_head"}}] distance += wb distance
execute as @e[type=item,nbt={Item:{id:"minecraft:player_head"}}] at @s if block ~ ~-1 ~ black_concrete run scoreboard players set @s distance -2711
execute as @e[type=item,nbt={Item:{id:"minecraft:player_head"}}] at @s if block ~ ~-1 ~ lava run scoreboard players set @s distance -2711
execute as @e[type=item,nbt={Item:{id:"minecraft:player_head"}}] at @s if block ~ ~ ~ lava run scoreboard players set @s distance -2711
execute as @e[scores={distance=..-1}] if entity @a[team=Players,tag=!respawning,nbt={DeathTime:0s}] run title @a subtitle {"text":"One of the keys was lost...","color":"red"}
execute as @e[scores={distance=..-1}] if entity @a[team=Players,tag=!respawning,nbt={DeathTime:0s}] run title @a title {"text":""}
execute as @e[scores={distance=..-1}] if entity @a[team=Players,tag=!respawning,nbt={DeathTime:0s}] run playsound minecraft:entity.wither.ambient master @a ~ ~ ~ 1 2 1
execute as @e[scores={distance=..-1}] if entity @a[team=Players,tag=!respawning,nbt={DeathTime:0s}] run scoreboard players set variable ingame 100
execute as @e[scores={distance=..-1}] if entity @a[team=Players,tag=!respawning,nbt={DeathTime:0s}] run team join Spectators @a
execute as @e[scores={distance=..-1}] run kill @s

advancement grant @a[nbt={Inventory:[{Slot:100b,id:"minecraft:iron_boots"}]}] only susu:boot

execute at @e[tag=lever1,tag=!fan] run advancement grant @a[distance=..5] only susu:loot
execute at @e[tag=lever2,tag=!fan] run advancement grant @a[distance=..5] only susu:loot

execute as @a at @s if block ~ ~-2.1 ~ purpur_pillar run tag @s[nbt={DeathTime:0s},gamemode=!spectator] add spawn

effect give @a[x=68,y=113,z=-38,distance=..1] levitation 1 100 true

clear @a[x=68,y=113,z=-38,distance=..1]

difficulty hard
gamerule sendCommandFeedback false

data merge entity @e[nbt={Item:{tag:{SkullOwner:{Id:"028c59eb-fd0d-454d-b140-249a24942fdd",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZTllNGJkY2YxNzJkNWRjNzdjMmJkNGUzN2FkOTg1Mzk5YTlmMmNkZWJmNzI0NjM5MjllYTRiNjY2ZWY2ZjgwIn19fQ=="}]}}}}},limit=1] {Item:{tag:{O1:1,CanPlaceOn:["minecraft:white_stained_glass"],HideFlags:16,display:{Name:"{\"text\":\"Green Key\",\"color\":\"green\",\"bold\":\"true\",\"italic\":\"false\",\"underlined\":\"true\"}",Lore:["§2[Main objective]","§7Maybe I can use these to open the main gate..."]},SkullOwner:{Id:"028c59eb-fd0d-454d-b140-249a24942fdd",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZTllNGJkY2YxNzJkNWRjNzdjMmJkNGUzN2FkOTg1Mzk5YTlmMmNkZWJmNzI0NjM5MjllYTRiNjY2ZWY2ZjgwIn19fQ=="}]}}}}}
data merge entity @e[nbt={Item:{tag:{SkullOwner:{Id:"5a924391-b603-48c1-9974-0a8a84c2074e",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTQzYzc5Y2Q5YzJkMzE4N2VhMDMyNDVmZTIxMjhlMGQyYWJiZTc5NDUyMTRiYzU4MzRkZmE0MDNjMTM0ZTI3In19fQ=="}]}}}}},limit=1] {Item:{tag:{O2:1,CanPlaceOn:["minecraft:light_gray_stained_glass"],HideFlags:16,display:{Name:"{\"text\":\"Yellow Key\",\"color\":\"gold\",\"bold\":\"true\",\"italic\":\"false\",\"underlined\":\"true\"}",Lore:["§2[Main objective]","§7Maybe I can use these to open the main gate..."]},SkullOwner:{Id:"5a924391-b603-48c1-9974-0a8a84c2074e",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTQzYzc5Y2Q5YzJkMzE4N2VhMDMyNDVmZTIxMjhlMGQyYWJiZTc5NDUyMTRiYzU4MzRkZmE0MDNjMTM0ZTI3In19fQ=="}]}}}}}
data merge entity @e[nbt={Item:{tag:{SkullOwner:{Id:"01912079-becd-4cf8-b17f-67e317b16b25",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzQ3MjM3NDM3ZWVmNjM5NDQxYjkyYjIxN2VmZGM4YTcyNTE0YTk1NjdjNmI2YjgxYjU1M2Y0ZWY0YWQxY2FlIn19fQ=="}]}}}}},limit=1] {Item:{tag:{O3:1,CanPlaceOn:["minecraft:black_stained_glass"],HideFlags:16,display:{Name:"{\"text\":\"Red Key\",\"color\":\"dark_red\",\"bold\":\"true\",\"italic\":\"false\",\"underlined\":\"true\"}",Lore:["§2[Main objective]","§7Maybe I can use these to open the main gate..."]},SkullOwner:{Id:"01912079-becd-4cf8-b17f-67e317b16b25",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzQ3MjM3NDM3ZWVmNjM5NDQxYjkyYjIxN2VmZGM4YTcyNTE0YTk1NjdjNmI2YjgxYjU1M2Y0ZWY0YWQxY2FlIn19fQ=="}]}}}}}

execute if block 233 36 -24 minecraft:oak_pressure_plate[powered=true] run scoreboard players set @a[x=233,y=36,z=-24,distance=..1,nbt={OnGround:1b}] levitationt 5
#execute unless block 448 61 -24 minecraft:light_weighted_pressure_plate[power=0] run scoreboard players set @a[x=448,y=61,z=-24,distance=..1,nbt={OnGround:1b}] levitationt 1
execute unless block 552 82 -44 minecraft:light_weighted_pressure_plate[power=0] run scoreboard players set @a[x=552,y=82,z=-44,distance=..1] levitationt 4
execute unless block 546 82 -4 minecraft:light_weighted_pressure_plate[power=0] run scoreboard players set @a[x=546,y=82,z=-4,distance=..1] levitationt 5